# Interface FormatJson

The format object can be used with numerical or date fields to provide more detail about how values should be displayed in web map pop-up windows.

See https://developers.arcgis.com/web-map-specification/objects/format/ https://developers.arcgis.com/web-scene-specification/objects/format/.

interface FormatJson {
dateFormat?: DateFormatJsonType;
digitSeparator?: boolean;
places?: number;
}

#####
Index

### Properties

dateFormat?
digitSeparator?
places?

##
Properties

### `Optional` dateFormat

dateFormat?: DateFormatJsonType

A string used with date fields to specify how the date should appear in pop-up windows.

### `Optional` digitSeparator

digitSeparator?: boolean

A Boolean used with numerical fields. A value of true allows the number to have a digit (or thousands) separator when the value appears in pop-up windows. Depending on the locale, this separator is a decimal point or a comma. A value of false means that no separator will be used.

### `Optional` places

places?: number

An integer used with numerical fields to specify the number of supported decimal places that should appear in pop-up windows. Any places beyond this value are rounded.